> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/reports-and-administration/export-data.md).

# Export Data

## POST /api/Public/ExportData/documents

> Documents

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ExportData"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ExportRequest":{"required":["format"],"type":"object","properties":{"format":{"minLength":1,"type":"string"},"fromDate":{"type":"string","format":"date-time","nullable":true},"toDate":{"type":"string","format":"date-time","nullable":true},"maxRecords":{"type":"integer","format":"int32","nullable":true},"filterCriteria":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ExportData/documents":{"post":{"tags":["ExportData"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ExportRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Documents","operationId":"post_ExportData_documents"}}}}
```

## POST /api/Public/ExportData/activity-logs

> Activity logs

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ExportData"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ExportRequest":{"required":["format"],"type":"object","properties":{"format":{"minLength":1,"type":"string"},"fromDate":{"type":"string","format":"date-time","nullable":true},"toDate":{"type":"string","format":"date-time","nullable":true},"maxRecords":{"type":"integer","format":"int32","nullable":true},"filterCriteria":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ExportData/activity-logs":{"post":{"tags":["ExportData"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ExportRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Activity logs","operationId":"post_ExportData_activity_logs"}}}}
```
